$! make_demos_vms.com
$! 5-NOV-1996, David Mathog, Biology Division, Caltech
$! 
$! if P1 is defined, then the files are only relinked
$!
$ linkonly == P1
$ if(P2 .nes. "")
$ then
$   myccflags   == "/debug/noopt"
$   mylinkflags == "/debug"
$ else
$   myccflags   == " "
$   mylinkflags == " "
$ endif
$ mycc :== cc/nolis/standard=ansi89/prefix=all/ -
       include=[-...]/extern=common 'myccflags'
$!
$ makeone: SUBROUTINE
$   foo = f$parse(P1,,,"NAME")
$   test= f$search("''foo'.OBJ")
$   if(test .eqs. "")
$   then
$     file = P1
$     others = P2
$     root = foo
$     write sys$output "Now compiling ''root'"
$     if("''linkonly'" .eqs. "")then mycc 'file'
$     if others .nes "" then others = others + ","
$     link 'mylinkflags' 'root'.obj,'others' sys$input/opt
[-]xforms_shr.exe/share
[-]xpm_shr.exe/share
sys$share:DECC$SHR.EXE/share
sys$share:decw$xlibshr/share
$   else
$      write sys$output " exists    ''foo'.OBJ"
$   endif
$!
$ EXIT
$ ENDSUBROUTINE
$!
$ makegl: SUBROUTINE
$   foo = f$parse(P1,,,"NAME")
$   test= f$search("''foo'.OBJ")
$   if(test .eqs. "")
$   then
$     file = P1
$     root = file - ".C"
$     write sys$output "Now making GL demo ''root'"
$     if("''linkonly'" .eqs. "")then mycc 'file'
$     link 'mylinkflags' 'root'.obj,sys$input/opt
[-]xforms_shr.exe/share
[-]xpm_shr.exe/share
sys$share:DECC$SHR.EXE/share
sys$share:decw$openglushr.exe/share
sys$share:decw$openglshr.exe/share
sys$share:decw$xlibshr/share
$   else
$      write sys$output " exists    ''foo'.OBJ"
$   endif
$!
$ EXIT
$ ENDSUBROUTINE
$!
$ call makeone ARROWBUTTON.C
$ call makeone BORDERWIDTH.C
$ call makeone BOXTYPE.C
$ call makeone BROWSERALL.C
$ call makeone BROWSEROP.C
$ call makeone BUTTONALL.C
$ call makeone BUTTTYPES.C
$ call makeone CANVAS.C
$ call makeone CHARTALL.C
$ call makeone CHARTSTRIP.C
$ call makeone CHOICE.C
$ call makeone COLBROWSER.C
$ call makeone COLSEL.C
$ call makeone COLSEL1.C
$ call makeone COUNTER.C
$ holdlinkonly == linkonly
$ linkonly == ""
$ call makeone CROSSBUT.C
$ linkonly == holdlinkonly
$ call makeone CURSOR.C
$ call makeone DEMO.C
$ call makeone DEMO05.C
$ call makeone DEMO06.C
$ call makeone DEMO27.C
$ call makeone DEMO33.C
$! not in 0.88    call makeone DEMOTEST.C
$ call makeone FBROWSE.C
$ call makeone FBROWSE1.C
$ call makeone FDIAL.C
$ call makeone FLCLOCK.C
$ call makeone FOLDER.C  !new in 0.88
$ call makeone FONTS.C
$ call makeone FREE1.C
$ call makeone FREEDRAW.C
$ call makeone FREEDRAW_LEAK.C
$!  Don't do GL
$ if (f$search("sys$share:decw$openglshr.exe") .nes. "")
$ then
$   define GL SYS$LIBRARY:
$   call makegl GL.C
$   call makegl GLWIN.C
$ endif
$ call makeone GOODIES.C
$ call makeone GROUP.C
$ call makeone ICONIFY.C
$ call makeone INPUTALL.C
$ call makeone INVSLIDER.C
$ call makeone LALIGN.C
$ call makeone LDIAL.C
$ call makeone LL.C
$ call makeone LONGLABEL.C
$ call makeone MENU.C
$! call makeone MENUBAR.C  !new in 0.88, not completed (Zhao)
$ call makeone MINPUT.C
$ call makeone MINPUT2.C
$ call makeone MULTILABEL.C
$ call makeone NDIAL.C
$ call makeone NEWBUTTON.C CROSSBUT
$ call makeone NNN.C CROSSBUT
$ call makeone OBJINACTIVE.C
$ call makeone OBJPOS.C
$ call makeone OBJRETURN.C
$ call makeone PMBROWSE.C
$ call makeone POPUP.C    !new in 0.88
$ call makeone POSITIONER.C
$ call makeone POSITIONERXOR.C !new in 0.88
$ call makeone PREEMPTIVE.C
$ call makeone PUP.C
$ call makeone PUSHBUTTON.C
$ call makeone PUSHME.C
$ call makeone RESCALE.C
$ call makeone SECRETINPUT.C
$ call makeone SLDINACTIVE.C
$ call makeone SLDSIZE.C
$ call makeone SLD_RADIO.C
$ call makeone SLIDERALL.C
$ call makeone STRSIZE.C
$ call makeone SYMBOLS.C
$! call makeone THUMB.C !new in 0.88, not completed (Zhao)
$ call makeone TIMER.C
$ call makeone TIMER2.C
$ call makeone TIMERPREC.C
$ call makeone TOUCHBUTTON.C
$ call makeone WWWL.C
$ call makeone XYPLOTACTIVE.C
$ call makeone XYPLOTALL.C
$ call makeone XYPLOTOVER.C
$ call makeone YESNO.C
